Method: loyaltyclass.insert
Stay organized with collections
Save and categorize content based on your preferences.
Page Summary
Inserts a new loyalty class with the specified ID and properties using an HTTP POST request.
The request body must contain a LoyaltyClass object with the desired properties for the new loyalty class.
If successful, the API returns the newly created LoyaltyClass object in the response body.
Requires authorization with the https://www.googleapis.com/auth/wallet_object.issuer scope to access and modify loyalty class information.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2024-10-23 UTC."],[],["A `POST` request is made to `https://walletobjects.googleapis.com/walletobjects/v1/loyaltyClass` to insert a loyalty class, using gRPC Transcoding. The request body must include a `LoyaltyClass` instance. Upon success, the response body will contain the newly created `LoyaltyClass`. The operation requires OAuth scope authorization: `https://www.googleapis.com/auth/wallet_object.issuer`.\n"]]